Name:           sxiv
Version:        0.8.1
Release:        1%{?dist}
Summary:        Simple (or small or suckless) X Image Viewer
Group:          Applications/Multimedia
License:        GPLv2
URL:            https://github.com/muennich/%{name}/
# git commit fdafbf72b7eeb8c23952
Source0:        %{name}-%{version}.tar.bz2
# Support DESTDIR
# https://github.com/muennich/sxiv/pull/3
Patch0:         sxiv-0.8.1-destdir.patch
# Do not change sxiv binary ownership to root:root
# Allows rpm-building the package by regular users
Patch1:         sxiv-0.8.1-do-not-change-ownership.patch
BuildRequires:  libX11-devel
BuildRequires:  imlib2-devel

%description
sxiv is an alternative to feh and qiv. Its only dependency besides xlib
is imlib2. The primary goal for writing sxiv is to create an image viewer,
which only has the most basic features required for fast image viewing (the
ones I want). It works nicely with tiling window managers and its code base
should be kept small and clean to make it easy for you to dig into it and
customize it for your needs.

%prep
%setup -q
%patch0 -p1 -b .destdir
%patch1 -p1 -b .do-not-change-ownership

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%files
%doc LICENSE README.md
%{_bindir}/sxiv
%{_mandir}/man1/*

%changelog
* Tue May 10 2011 Petr Sabata <psabata@redhat.com> - 0.8.1-1
- Initial import
